Skip to content

Revokes an active portable restore session.

POST
/api/workspace/file-protection/restore-sessions/{sessionId}/revoke
curl --request POST \
--url https://example.com/api/workspace/file-protection/restore-sessions/example/revoke \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "Reason": "example", "RowVersion": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }'
sessionId
required
string
access_token
string

Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.

Revokes an active portable restore session.

object
Reason
string
nullable
RowVersion
string format: uuid
Examplegenerated
{
"Reason": "example",
"RowVersion": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0"
}

OK

Media typeapplication/json
object
Data
boolean
Errors
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Warnings
Array<object>
nullable
object
Code
required
string
nullable
Message
required
string
nullable
Target
string
nullable
Field
string
nullable
Metadata
object
key
additional properties
string
nullable
Type
integer format: int32
Allowed values: 0 1 2
Severity
integer format: int32
Allowed values: 0 1 2
Success
boolean
Example
{
"Errors": [
{
"Type": 0,
"Severity": 0
}
],
"Warnings": [
{
"Type": 0,
"Severity": 0
}
]
}